# eric5.Plugins.VcsPlugins.vcsSubversion.SvnPropSetDialog

Module implementing a dialog to enter the data for a new property.

### Global Attributes

None

### Classes

SvnPropSetDialog | Class implementing a dialog to enter the data for a new property.

### Functions

None

## SvnPropSetDialog

Class implementing a dialog to enter the data for a new property.

### Derived from

QDialog, Ui_SvnPropSetDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnPropSetDialog | Constructor
getData | Public slot used to retrieve the data entered into the dialog.
on_fileButton_clicked | Private slot called by pressing the file selection button.

### Static Methods

None

#### SvnPropSetDialog (Constructor)

SvnPropSetDialog(parent=None)

Constructor

parent
  parent widget (QWidget)

#### SvnPropSetDialog.getData

getData()

Public slot used to retrieve the data entered into the dialog.

Returns:
  tuple of three values giving the property name, a flag indicating a file was selected and the text of the property or the selected filename. (string, boolean, string)

#### SvnPropSetDialog.on_fileButton_clicked

on_fileButton_clicked()

Private slot called by pressing the file selection button.

Up